# $Revision: 1.48 $, $Date: 2010/01/28 19:56:47 $
Summary:	Raw VBI, Teletext and Closed Caption decoding library
Summary(pl.UTF-8):	Biblioteka dekodująca VBI
Name:		zvbi
Version:	0.2.33
Release:	2
License:	GPL v2+
Group:		Libraries
Source0:	http://dl.sourceforge.net/zapping/%{name}-%{version}.tar.bz2
# Source0-md5:	1741a6045c3eedfb611d645f2da69ac8
Patch0:		%{name}-include.patch
URL:		http://zapping.sourceforge.net/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	doxygen
BuildRequires:	gettext-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VBI stands for Vertical Blanking Interval, a gap between the image
data transmitted in an analog video signal. This gap is used to
transmit AM modulated data for various data services like Teletext and
Closed Caption.

The zvbi library provides routines to read from raw VBI sampling
devices, to demodulate raw to sliced VBI data, and to interpret the
data of several popular services. It has been written for the Zapping
TV viewer <http://zapping.sourceforge.net/>.

%description -l pl.UTF-8
VBI jest skrótem od Vertical Blanking Interval, czyli interwał
wygaszania pionowego, który jest odstępem pomiędzy danymi obrazu
transmitowanymi w analogowym sygnale wideo. Ten odstęp jest używany do
transmisji danych rozmaitych usług takich, jak teletekst i Closed
Caption, modulowanych w AM.

Biblioteka zvbi udostępnia funkcje do odczytu z surowych urządzeń
próbkujących VBI, do demodulacji surowych danych VBI i do
interpretacji tych danych dla kilku popularnych usług. Została ona
napisana dla programu TV Zapping <http://zapping.sourceforge.net/>.

%package devel
Summary:	zvbi heades files
Summary(pl.UTF-8):	Pliki nagłówkowe do zvbi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libpng-devel

%description devel
Header files and documentation for the support library for the zvbi
library.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do zvbi.

%package static
Summary:	Static zvbi library
Summary(pl.UTF-8):	Biblioteka statyczna zvbi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static zvbi library.

%description static -l pl.UTF-8
Statyczna biblioteka zvbi.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog BUGS NEWS README TODO
%attr(755,root,root) %{_bindir}/zvbi-*
%attr(755,root,root) %{_sbindir}/zvbid
%attr(755,root,root) %{_libdir}/libzvbi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzvbi.so.0
%attr(755,root,root) %{_libdir}/libzvbi-chains.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzvbi-chains.so.0
%{_mandir}/man1/zvbi-*.1*
%{_mandir}/man1/zvbid.1*

%files devel
%defattr(644,root,root,755)
%doc doc/html
%attr(755,root,root) %{_libdir}/libzvbi.so
%attr(755,root,root) %{_libdir}/libzvbi-chains.so
%{_libdir}/libzvbi.la
%{_libdir}/libzvbi-chains.la
%{_includedir}/libzvbi.h
%{_pkgconfigdir}/zvbi-0.2.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libzvbi.a
%{_libdir}/libzvbi-chains.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: zvbi.spec,v $
Revision 1.48  2010/01/28 19:56:47  arekm
- release 2

Revision 1.47  2008/11/27 12:00:44  lisu
- 0.2.33

Revision 1.46  2008/08/27 15:26:05  qboosh
- updated to 0.2.32
- added include patch

Revision 1.45  2008/04/18 17:42:39  qboosh
- ghost soname symlinks, more verbose files
- moved man pages to proper package

Revision 1.44  2008-04-18 13:51:43  lisu
- 0.2.30

Revision 1.43  2007-12-08 13:16:00  lisu
- 0.2.26

Revision 1.42  2007-06-24 13:58:38  lisu
- 0.2.25

Revision 1.41  2007/02/12 22:09:26  glen
- tabs in preamble

Revision 1.40  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.39  2006/12/01 18:59:27  lisu
- 0.2.24

Revision 1.38  2006/11/01 00:23:05  lisu
- 0.2.23
- TODO file added

Revision 1.37  2005/12/21 01:03:53  charles
- updated to 0.2.17

Revision 1.36  2005/06/08 20:35:55  saq
- up to 0.2.16

Revision 1.35  2005/04/07 07:13:50  charles
- updated to 0.2.15

Revision 1.34  2005/02/26 12:37:18  charles
- updated to 0.2.13

Revision 1.33  2005/01/20 06:21:31  charles
- updated to 0.2.12

Revision 1.32  2005/01/08 08:07:21  pascalek
- updated to 0.2.11

Revision 1.31  2004/11/15 11:53:39  aflinta
- fixed manual entry

Revision 1.30  2004/11/14 16:02:49  aflinta
- up to version 0.2.9

Revision 1.29  2004/05/24 21:02:30  qboosh
- updated to 0.2.8

Revision 1.28  2004/04/10 19:51:58  qboosh
- updated to 0.2.7 (now with DVB support)

Revision 1.27  2003/10/24 13:46:18  trojan
- updated to 0.2.5

Revision 1.26  2003/09/02 09:15:21  qboosh
- cleanups, BR+R: libpng-devel
- removed libunicode deps - not needed with glibc >= 2.1

Revision 1.25  2003/09/01 16:24:55  undefine
- BR: gettext-devel

Revision 1.24  2003/09/01 16:23:25  undefine
- add missing gettextize macro.

Revision 1.23  2003/08/18 08:09:41  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.22  2003/06/22 10:59:31  eothane
- http://belnet.sourceforge->http://dl.sourceforge

Revision 1.21  2003/05/26 16:25:55  malekith
- massive attack: adding Source-md5

Revision 1.20  2003/05/25 06:28:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/03/02 15:48:01  aflinta
- updated to version 0.2.4

Revision 1.18  2002/12/19 02:18:00  aflinta
- updated to version 0.2.3

Revision 1.17  2002/12/08 11:53:21  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.16  2002/11/25 14:18:47  ankry
- massive attack: no need for 755 for *.la

Revision 1.15  2002/10/30 21:07:47  aflinta
- regeneration is back

Revision 1.14  2002/10/12 08:02:36  ankry
- fixed typo in BR

Revision 1.13  2002/10/11 16:54:20  aflinta
- added BR doxygen

Revision 1.12  2002/10/11 16:51:27  aflinta
- removed obsoleted patch and regeneration functions

Revision 1.11  2002/10/11 16:41:14  aflinta
- updated to version 0.2.2

Revision 1.10  2002/10/09 13:14:52  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.9  2002/08/26 10:51:09  qboosh
- GPL v2+

Revision 1.8  2002/08/24 09:37:17  kloczek
- License changed to GPL v2.

Revision 1.7  2002/08/22 21:14:46  aflinta
- upgraded to version 0.2.1

Revision 1.6  2002/06/30 13:41:50  kloczek
- release 2: use new %doc.

Revision 1.5  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.4  2002/05/21 23:15:10  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.3  2002/04/04 07:53:00  kloczek
- added ac_fixes patch and full regenerate ac/am/lt files,
- added libunicode-devel to BuildRequires and to Requires list in devel,
- minor changes.

Revision 1.2  2002/04/04 01:36:06  saq
- better descriptions

Revision 1.1  2002/04/04 01:25:38  saq
- new spec
